#include <math.h>
#include <stdio.h>
#include "../../common/objects.h"
#include "../../common/vector.h"
//#include "../render/vector.c"
#include "background.h"

extern scene_data* main_scene;

//extern inline double dot_product(vector* a, vector* b);

double intersect_background(point* startP, vector* projV, object* obj,
//double intersect_object(point* startP, vector* projV, object* sphere,
		point* pntIntersect)
{
	//pntIntersect->x = pntIntersect->x + projV->x*999999;
	//pntIntersect->y = pntIntersect->y + projV->y*999999;
	//pntIntersect->z = pntIntersect->z + projV->z*999999;
	return 999999997;
}

vector* normal_background(point* q, object* objectHit, vector* n)
{
	copy_vector(q,n);
	return n;
}

